<?
include("../../conexion/class-sb-conexion.php");
$mes = array('Enero', 'Febrero', 'Marzo', 'Abrir', 'Mayo', 'Junio', 'Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Balance Tributario</title>
</head>

<body>

<div align="center" style="font-weight:bold" >BALANCE TRIBUTARIO <br></div>
<table width="90%" align="center" cellpadding="0" cellspacing="0" border="0">
		<tr  style="color:#000000; font-weight:bold" >
<td width="50%"  >
<?
$sql="select Nombre_Empresa,Direccion_Empresa,Rut_Empresa from sb_empresas_lista where sb_empresas_lista.Codigo_Empresa= ".$Codigo_Empresa;

//$db = new sb_mysql();
//$consulta = $db->consulta_free($sql);
//$cempresa = $db->sb_array($consulta);

include("../../conex.php");
		$sql="select * from empresa where id='".$Codigo_Empresa."'";
		//echo $sql;
		$resfs = mysql_query($sql,$enlace);	
		$res = mysql_fetch_array($resfs);
echo $res['nombre']."<br>";
echo $res['direccion']."<br>";
echo $res['rut_empresa']."<br>";

?>
<!--
			<script language="javascript" type="text/javascript">
			document.write(top.topFrame.form.Codigo_Empresa.options[top.topFrame.form.Codigo_Empresa.selectedIndex].text);
			</script>
-->       
			
</td>
</tr>

<tr>
<td  height="40px" align="center" style="color:#000000; font-weight:bold">
A <?=$mes[abs($mes2)-1]." del  ".$ano2?>
</td>
</tr>
</table>			
<table border="1" align="center" cellspacing="0" width="90%" >
	  <tr bgcolor="#358391" style="color:#FFFFFF; font-weight:bold"  >
	    <th rowspan="2" scope="col">C&oacute;digo<br>contable</th>
	    <th rowspan="2" scope="col">Nombre</th>
	    <th colspan="2" scope="col">SUMAS </th>
	    <th colspan="2" scope="col">SALDOS</th>
	    <th colspan="2" scope="col">INVENTARIO</th>
	    <th height="17" colspan="2" scope="col">RESULTADO</th>
	  </tr>
	  <tr bgcolor="#358391" style="color:#FFFFFF; font-weight:bold"  >
        <th scope="col">Debe</th>
        <th scope="col">Haber</th>
        <th scope="col">Deudor</th>
        <th scope="col">Acreedor</th>
        <th scope="col">Activo</th>
        <th scope="col">Pasivo</th>
        <th height="17" scope="col">P&eacute;rdidas</th>
        <th scope="col">Ganancias</th>
  </tr>



<?
$sql = "select codigo_contable, descripcion, cargo, abono from ( 
select codigo_contable, SUM(cargo) as cargo, SUM(abono) as abono from sb_conta_cta where cod_empresa = ".$Codigo_Empresa." and (fecha BETWEEN '".$fecha1."' and '".$fecha2."' and nulo = 0) GROUP by codigo_contable order by codigo_contable asc 

) as tabla1, plan_cuenta
where  tabla1.codigo_contable = plan_cuenta.cuenta_contable2 
order by cuenta_contable2 asc;";

//echo $sql;

$db = new sb_mysql();
$total_debitos=0;
$total_creditos=0;

$total_deudor=0;
$total_acreedor=0;

$total_activo=0;
$total_pasivo=0;

$total_perdida=0;
$total_ganacia=0;
$consulta = $db->consulta_free($sql);
while($comp_detalle = $db->sb_array($consulta)){


?>
        <tr class='detalle_tablas_II' bgcolor="#CCCCCC">
          <td><div align="center">
          <?=$comp_detalle['codigo_contable']?>
          </div></td>
          <td align="left">
          <?=$comp_detalle['descripcion']?> 
		  </td>
          <td align="right">
          <?=number_format($comp_detalle['cargo'],0,"",".")?> 
          <?
          $total_debitos=$total_debitos+$comp_detalle['cargo'];
		  ?>
          </td>
          <td align="right">
          <?=number_format($comp_detalle['abono'],0,"",".")?> 
          <?
          $total_creditos=$total_creditos+$comp_detalle['abono'];
		  ?>
          </td>
          <?
		  $resultado=($comp_detalle['cargo']-$comp_detalle['abono']);
		  $deudor = "&nbsp;";
		  $acreedor = "&nbsp;";
          if($resultado>0){
		  	$deudor=$resultado;
			$total_deudor=$total_deudor+abs($resultado);
		  }else{
		  	$acreedor=$resultado;
			$total_acreedor=$total_acreedor+abs($resultado);
		  }
		  ?>
          <td align="right">
			<?=number_format(abs($deudor),0,"",".")?> 
		  </td>
          <td align="right">
			<?=number_format(abs($acreedor),0,"",".")?> 
		  </td>
          <?
		  $activo = "&nbsp;";
		  $pasivo = "&nbsp;";
          if (substr($comp_detalle['codigo_contable'],0,1)< 3){
			if($resultado > 0){
		   		$activo = $resultado;
		   		$total_activo=$total_activo+abs($resultado);
			}else{
		   		$pasivo = $resultado;
		   		$total_pasivo=$total_pasivo+abs($resultado);
			};
		
		 };
		  ?>
          <td align="right">
           <?=number_format(abs($activo),0,"",".")?> 
		  </td>
          <td align="right">
		  <?=number_format(abs($pasivo),0,"",".")?> 	
		  </td>
          <? 
			$perdida = "&nbsp;";
			$ganancia = "&nbsp;";
			if (substr($comp_detalle['codigo_contable'],0,1)> 2 ){
				if($resultado > 0){
		   			$perdida = $resultado; 
		   			$total_perdida=$total_perdida+abs($resultado);
				}else{
		   			$ganancia = $resultado;
		   			$total_ganacia=$total_ganacia+abs($resultado);
			};
		};
?>	
		<td align="right">
           <?=number_format(abs($perdida),0,"",".")?> 
		  </td>
          <td align="right">
		  <?=number_format(abs($ganancia),0,"",".")?> 	
		  </td>
          </tr>
        
         <?

}

?>
<tr>
<td  colspan="2" align="center">SUBTOTAL</td>
<td align="right"><?=number_format(abs($total_debitos),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_creditos),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_deudor),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_acreedor),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_activo),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_pasivo),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_perdida),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_ganacia),0,"",".")?></td>
</tr>
     <?
		   $calculo_inventario = ($total_activo) - abs($total_pasivo);
		   if($calculo_inventario < 0){
        		$resultado_activo=$calculo_inventario;
				$total_activo += abs($calculo_inventario);
			}else{
        		$resultado_activo=0;
		   };
		   $calculo_inventario = ($total_activo) - abs($total_pasivo);
		   //echo $calculo_inventario;
		   if($calculo_inventario >= 0){
        		$resultado_pasivo=$calculo_inventario;
				//echo $total_pasivo."---/".$calculo_inventario."/";
				$total_pasivo=$total_pasivo+$calculo_inventario;
				//echo $total_pasivo."/---";
				
			}else{
        		$resultado_pasivo=0;
		   };
		   
		   $calculo_resultado = ($total_perdida) - abs($total_ganacia);
		   if($calculo_resultado < 0){
        		$resultado_perdida=$calculo_resultado;
				$total_perdida+= abs($calculo_resultado);
			}else{
        		$resultado_activo=0;
		   };
		   $calculo_resultado = ($total_perdida) - abs($total_ganacia);
		   if($calculo_inventario >= 0){
        		$resultado_ganacia=$calculo_resultado;
				$total_ganacia += abs($calculo_resultado);
			}else{
        		$resultado_pasivo=0;
		   };
	?>

<tr>
<td  colspan="2" align="center">UTILIDAD DEL EJERCICIO</td>
<td align="right">&nbsp;</td>
<td align="right">&nbsp;</td>
<td align="right">&nbsp;</td>
<td align="right">&nbsp;</td>
<td align="right"><?=number_format(abs($resultado_activo),0,"",".")?></td>
<td align="right"><?=number_format(abs($resultado_pasivo),0,"",".")?></td>
<td align="right"><?=number_format(abs($resultado_perdida),0,"",".")?></td>
<td align="right"><?=number_format(abs($resultado_ganacia),0,"",".")?></td>
</tr>
<tr>
<td  colspan="2" align="center">SUMAS IGUALES</td>
<td align="right"><?=number_format(abs($total_debitos),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_creditos),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_deudor),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_acreedor),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_activo),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_pasivo),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_perdida),0,"",".")?></td>
<td align="right"><?=number_format(abs($total_ganacia),0,"",".")?></td>
</tr>
           
</table>

<div id="botones" style="display:block" align="center" >
<input name="Imprimir" type="button" class="botones" value="Imprimir" onClick="imprimir_formulario();">
<input name="S A L I R" type="button" class="botones" onClick="top.window.close();" value="S A L I R">
</div>
<script>
function imprimir_formulario(){
document.getElementById('botones').style.display = "none";
window.print();
document.getElementById('botones').style.display = "block";
};


</script>

